#!/usr/bin/env python
# -*- coding: utf-8 -*-

import harkpython.harkbasenode as harkbasenode
from numpy import *  # noqa


class MapToMatrix(harkbasenode.HarkBaseNode):
    def __init__(self):
        self.outputNames = ('OUTPUT', )
        self.outputTypes = ('matrix_float', )

    def calculate(self):
        N = len(self.INPUT)
        self.outputValues['OUTPUT'] = [self.INPUT[n] for n in range(N)]
        
